org.springframework.data.querydsl

## Class QuerydslUtils

- java.lang.Object
- - org.springframework.data.querydsl.QuerydslUtils

    public abstract class QuerydslUtils
    extends Object

Utility class for Querydsl.

Author:
  Oliver Gierke

### Field Summary

Fields
`static boolean` `QUERY_DSL_PRESENT`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `toDotPath(com.querydsl.core.types.Path<?> path)` Returns the property path for the given `Path`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUERY_DSL_PRESENT

    public static final boolean QUERY_DSL_PRESENT

### Method Detail

#### toDotPath

    public static String toDotPath(com.querydsl.core.types.Path<?> path)

Returns the property path for the given `Path`.

Parameters:
  `path` - can be null.
Returns: